Bug 193993 - mail/milter-greylist: Missing run-dependencies
Summary: mail/milter-greylist: Missing run-dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-28 12:56 UTC by Harald Schmalzbauer
Modified: 2014-10-27 07:25 UTC (History)
2 users (show)

See Also:
bugzilla.freebsd: maintainer-feedback? (m.tsatsenko)


Attachments
patch (935 bytes, patch)
2014-10-06 22:07 UTC, m.tsatsenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Schmalzbauer 2014-09-28 12:56:36 UTC
After adding milter-greylist with pkg, it's not possible to start it since (in my case):
Shared object "libGeoIP.so.1" not found, required by "milter-greylist"
Shared object "libspf2.so.2" not found, required by "milter-greylist"

Port's Makefile has only BUILD_DEPENDS for SPF, CURL and GEOIP, which should read RUN_DEPENDS I guess:
--- Makefile    2014-08-28 09:51:11.196503290 +0200
+++ /tmp/Makefile       2014-09-28 14:54:49.000000000 +0200
@@ -37,9 +37,9 @@
 POSTFIX_DESC=          Use Postfix instead of Sendmail
 
 P0F_RUN_DEPENDS+=      p0f:${PORTSDIR}/net-mgmt/p0f
-SPF_BUILD_DEPENDS+=    libspf2>=1.2.5:${PORTSDIR}/mail/libspf2
-CURL_BUILD_DEPENDS+=   curl>=7.18:${PORTSDIR}/ftp/curl
-GEOIP_BUILD_DEPENDS+=  GeoIP>=1.4.4:${PORTSDIR}/net/GeoIP
+SPF_RUN_DEPENDS+=      libspf2>=1.2.5:${PORTSDIR}/mail/libspf2
+CURL_RUN_DEPENDS+=     curl>=7.18:${PORTSDIR}/ftp/curl
+GEOIP_RUN_DEPENDS+=    GeoIP>=1.4.4:${PORTSDIR}/net/GeoIP
 
 POSTFIX_CONFIGURE_ENABLE=      postfix
 P0F_CONFIGURE_ENABLE=          p0f306
Comment 1 Bugzilla Automation freebsd_committer 2014-09-28 12:56:36 UTC
Maintainer CC'd
Comment 2 m.tsatsenko 2014-09-30 20:24:29 UTC
Hi,
To submitter: is there any specific reason for using RUN_DEPS instead of LIB_DEPENDS in the patch?
Comment 3 Harald Schmalzbauer 2014-10-01 05:55:26 UTC
There's no reason for using RUN_DEPS instead of LIB_DEPENDS besides brain-o.
I guess I was stuck with finding reasons for BUILD_DEPENDS usage, possibly related to new pkg, which has some kind of auto-lib-depends function. But haven't paid any more attention to it, just wanted to report that it's not working like it is for me.
Comment 4 m.tsatsenko 2014-10-06 22:07:50 UTC
Created attachment 148048 [details]
patch

- Use LIB_DEPS for curl, spf and geoip
- Use ${PORTSDIR} instead of {.CURDIR} for bsd.milter.mk location
- Do not bump PORTREVISION as all of curl, spf and geoip are disabled by default
Comment 5 John Marino freebsd_committer 2014-10-16 09:02:15 UTC
maintainer provided patch which looks decent on inspection, moving to patch-ready.
Comment 6 commit-hook freebsd_committer 2014-10-27 07:25:05 UTC
A commit references this bug:

Author: robak
Date: Mon Oct 27 07:24:19 UTC 2014
New revision: 371532
URL: https://svnweb.freebsd.org/changeset/ports/371532

Log:
  mail/milter-greylist: minor fixes

  - Use LIB_DEPS for curl, spf and geoip
  - Use ${PORTSDIR} instead of {.CURDIR} for bsd.milter.mk location
  - Do not bump PORTREVISION as all of curl, spf and geoip are disabled by defaul

  PR:		193993
  Submitted by:	Mikhail Tsatsenko <m.tsatsenko@gmail.com>
  Approved by:	mentors (implicit)

Changes:
  head/mail/milter-greylist/Makefile
Comment 7 Bartek Rutkowski freebsd_committer 2014-10-27 07:25:51 UTC
Committed, thanks for your work, both of you!